Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.tasks
[Java] Interface SourceSetContainer

    org.gradle.api.DomainObjectCollection
      org.gradle.api.NamedDomainObjectSet
          java.lang.Iterable
              org.gradle.api.NamedDomainObjectContainer
                  java.util.Collection
                      org.gradle.api.NamedDomainObjectCollection
                          org.gradle.api.tasks.SourceSetContainer

All Superinterfaces:
  DomainObjectCollection, NamedDomainObjectSet, NamedDomainObjectContainer, NamedDomainObjectCollection

    public interface SourceSetContainer
    extends NamedDomainObjectContainer, NamedDomainObjectSet

A `SourceSetContainer` manages a set of SourceSet objects.

Method Summary
`SourceSet` | `add(java.lang.String name)` Adds a source set with the given name.
`SourceSet` | `add(java.lang.String name, groovy.lang.Closure configureClosure)` Adds a source set with the given name.

Methods inherited from interface NamedDomainObjectSet
matching, matching, withType

Methods inherited from interface NamedDomainObjectContainer
configure, create, create

Methods inherited from interface org.gradle.util.Configurable
org.gradle.util.Configurable#configure(groovy.lang.Closure)

Methods inherited from interface NamedDomainObjectSet
matching, matching, withType

Method Detail

### add

    public SourceSet add(java.lang.String name)

  Adds a source set with the given name.
  throws:
    org.gradle.api.InvalidUserDataException when a source set with the given name already exists in this container.
  Parameters:
    `name` - The name of the new source set.
  Returns:
    The newly added source set.

### add

    public SourceSet add(java.lang.String name, groovy.lang.Closure configureClosure)

  Adds a source set with the given name. The given configuration closure is executed against the source set before it is returned from this method.
  throws:
    InvalidUserDataException when a source set with the given name already exists in this container.
  Parameters:
    `name` - The name of the new source set.
    `configureClosure` - The closure to use to configure the source set.
  Returns:
    The newly added source set.

Groovy Documentation